package com.jiuqi.util;

import java.io.IOException;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.List;

public class StringArrayOutputStream extends OutputStream {
   private Stream buffer = new MemStream();
   private List list = new ArrayList();
   private int line = 0;

   private void addLine() throws StreamException {
      byte[] data = this.buffer.getBytes();
      String s = data == null ? "" : new String(data);
      if (this.line >= this.list.size()) {
         this.list.add(s);
      } else {
         this.list.set(this.line, s);
      }

      ++this.line;
   }

   public void write(int b) throws IOException {
      if (b != 9) {
         try {
            if (b == 10) {
               this.addLine();
               this.buffer.setSize(0L);
            } else {
               this.buffer.write((byte)b);
            }

         } catch (StreamException var3) {
            StreamException ex = var3;
            throw new IOException(ex.getMessage());
         }
      }
   }

   public String[] toStringArray() {
      return (String[])this.list.toArray(new String[this.list.size()]);
   }

   public void reset() {
      this.line = 0;
   }
}
